PackageUniverse::const_iterator Class Reference
Inheritance diagram for PackageUniverse::const_iterator:
[legend]
Collaboration diagram for PackageUniverse::const_iterator:
[legend]

## Public Member Functions

| const_iterator (pkgCache::PkgIterator i)
pkgCache::PkgIterator | getType (void) const
Public Member Functions inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
| Container_iterator_base (pkgCache::PkgIterator const &i)
pkgCache::PkgIterator | operator* (void) const
| operator pkgCache::PkgIterator (void) const
PackageUniverse::const_iterator & | operator++ ()
PackageUniverse::const_iterator | operator+ (typename pkgCache::PkgIterator::difference_type const &n) const
PackageUniverse::const_iterator | operator+= (typename pkgCache::PkgIterator::difference_type const &n)
PackageUniverse::const_iterator & | operator-- ()
PackageUniverse::const_iterator | operator- (typename pkgCache::PkgIterator::difference_type const &n) const
PackageUniverse::const_iterator | operator-= (typename pkgCache::PkgIterator::difference_type const &n)
bool | operator!= (PackageUniverse::const_iterator const &i) const
bool | operator== (PackageUniverse::const_iterator const &i) const
bool | operator< (PackageUniverse::const_iterator const &i) const
bool | operator> (PackageUniverse::const_iterator const &i) const
bool | operator<= (PackageUniverse::const_iterator const &i) const
bool | operator>= (PackageUniverse::const_iterator const &i) const
pkgCache::PkgIterator::reference | operator[] (typename pkgCache::PkgIterator::difference_type const &n) const

## Additional Inherited Members

Public Types inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Public Attributes inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
friend | Master
Protected Attributes inherited from Container_iterator_base< APT::PackageContainerInterface, PackageUniverse, PackageUniverse::const_iterator, pkgCache::PkgIterator, pkgCache::PkgIterator >
pkgCache::PkgIterator | _iter

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h